Table of Contents

## Name

Blt_TreeGetNode - Finds the node from the ID.

## Synopsis

    #include <bltTree.h>

    Blt_TreeNode
    Blt_TreeGetNode(tree, number)

## Arguments

Blt_Tree tree`` `` (in)
`` `` Tree containing the requested node.

unsigned int number`` `` (in)
`` `` Serial number of the requested node.

## Description

This procedure returns a node in a tree object based upon a give serial number. The node is searched using the serial number.

The arguments are as follows:

tree
  The tree containing the requested node.
number
  The serial number of the requested node.

## Returns

The node represented by the given serial number is returned. If no node with that ID exists in tree then NULL is returned.

## Example

The following example gets the node from a serial number.
`unsigned int number;
Blt_TreeNode node;
Blt_TreeToken token;
node = Blt_TreeGetNode(token, number);
if (node == NULL) {
printf("no node with ID %d exists\n", number);
} else {
printf("node found: label is %s\n", Blt_TreeNodeLabel(node) );
}

##

`Keywords Tcl_TreeCreateNode, Tcl_TreeDeleteNode

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Returns
- Example
- Keywords